Package org.eclipse.ecf.remoteservice.provider

# Class PeerRemoteServiceContainerInstantiator

java.lang.Object
org.eclipse.ecf.core.provider.BaseContainerInstantiator
org.eclipse.ecf.remoteservice.provider.RemoteServiceContainerInstantiator
org.eclipse.ecf.remoteservice.provider.PeerRemoteServiceContainerInstantiator

All Implemented Interfaces:
  `IContainerInstantiator`, `IRemoteServiceContainerInstantiator`

public abstract class PeerRemoteServiceContainerInstantiator extends RemoteServiceContainerInstantiator

Since:
  8.7

## Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.provider.RemoteServiceContainerInstantiator

`defaultSupportedAdapterTypes, defaultSupportedIntents, defaultSupportedParameterTypes, exporterConfigs, exporterConfigToImporterConfigs`

### Fields inherited from class org.eclipse.ecf.core.provider.BaseContainerInstantiator

`EMPTY_CLASS_ARRAY, EMPTY_STRING_ARRAY, NO_ADAPTERS_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`PeerRemoteServiceContainerInstantiator(String peerA, String peerB)`

## Method Summary

### Methods inherited from class org.eclipse.ecf.remoteservice.provider.RemoteServiceContainerInstantiator

`addSupportedIntent, checkAsyncIntent, checkConfidential, checkConfidentialIntent, checkIntentSupported, checkOSGIIntents, checkPrivate, checkPrivateIntent, createInstance, createInstance, getImportedConfigs, getPropertiesForImportedConfigs, getServiceIntents, getSupportedAdapterTypes, getSupportedConfigs, getSupportedIntents, getSupportedParameterTypes, removeSupportedIntent, supportsOSGIAsyncIntent, supportsOSGIConfidentialIntent, supportsOSGIPrivateIntent, throwCreateException`

### Methods inherited from class org.eclipse.ecf.core.provider.BaseContainerInstantiator

`getAdaptersForClass, getIDParameterValue, getIDParameterValue, getIDParameterValue, getIntegerFromArg, getInterfacesAndAdaptersForClass, getInterfacesForClass, getInterfacesForClass, getMap, getMapParameterString, getMapParameterString, getParameterValue, getParameterValue, getParameterValue, getParameterValue, getParameterValue, getStringFromArg`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PeerRemoteServiceContainerInstantiator

public PeerRemoteServiceContainerInstantiator(String peerA, String peerB)